/* =========================================
   SMOOTH ENTRANCE ANIMATION
========================================= */

@keyframes smoothFadeUp {
    from {
        opacity: 0;
        transform: translateY(60px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* =========================================
   FLOATING EFFECT
========================================= */

.journey-item:nth-child(1) {
    animation:
        smoothFadeUp 1s ease,
        floatingCard 5s ease-in-out infinite;
}

.journey-item:nth-child(2) {
    animation:
        smoothFadeUp 1.2s ease,
        floatingCard 5s ease-in-out infinite;

    animation-delay: 0s, 0.5s;
}

.journey-item:nth-child(3) {
    animation:
        smoothFadeUp 1.4s ease,
        floatingCard 5s ease-in-out infinite;

    animation-delay: 0s, 1s;
}

@keyframes floatingCard {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(-4px);
    }

    100% {
        transform: translateY(0px);
    }
}
